
public class Trapez extends Figura
{
	private double dol = 0;
	private double gora = 0;
	private double wysokosc = 0;

	Trapez(String kolor, double dol, double gora, double wysokosc)
	{
		this.kolor = kolor;
		this.dol = dol;
		this.gora = gora;
		this.wysokosc = wysokosc;
	}

	public String getKsztalt()
	{
		return Trapez.class.getName();
	}

	public double getPowierzchnia()
	{
		return ((this.dol + this.gora) / 2) * this.wysokosc;
	}

	public double getObwod()
	{
		return this.dol + this.gora + this.wysokosc + Math.sqrt(Math.pow(this.dol - this.gora, 2) + Math.pow(this.wysokosc, 2));
	}
}
